function highlight({ init, } = {}) {
    let hljs;
    return {
        viewerEffect(el) {
            (async () => {
                const els = el.querySelectorAll('pre>code');
                if (els.length === 0)
                    return;
                if (!hljs) {
                    hljs = await import('highlight.js');
                    if (init)
                        await init(hljs);
                }
                els.forEach((el) => {
                    hljs.highlightBlock(el);
                });
            })();
        },
    };
}

export default highlight;
//# sourceMappingURL=index.esm.js.map
